Bug 196611 - Need entry for Oracle RAW disks
Need entry for Oracle RAW disks
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: file (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-06-25 19:45 EDT by Russell Coker
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-05 15:48:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to fix this bug (481 bytes, patch)
2006-06-25 19:45 EDT, Russell Coker
no flags Details | Diff
file-4.17-oracle.patch (1.03 KB, patch)
2006-06-26 02:54 EDT, Radek Vokal
no flags Details | Diff

  None (edit)
Description Russell Coker 2006-06-25 19:45:13 EDT
The attached patch has a basic entry for Oracle RAW disks.  It would be good if 
someone who knows more about Oracle than I do could improve it and make it give 
more information.  But basically identifying Oracle partitions is still a 
significant benefit and I believe that it's worth having in RHEL4U4.
Comment 1 Russell Coker 2006-06-25 19:45:13 EDT
Created attachment 131512 [details]
patch to fix this bug
Comment 2 Russell Coker 2006-06-25 19:52:52 EDT
This bug occurs in version 4.10-2.EL4.3.
Comment 3 Radek Vokal 2006-06-26 02:54:47 EDT
Created attachment 131516 [details]

There's already different and more extended patch in file-4.17. Can you please
check if it works for you? I don't have access to Oracle FS.
Comment 4 Russell Coker 2006-07-11 22:38:49 EDT
The rawhide magic code works well in terms of Oracle.

If the Oracle entry in question is copied from rawhide to RHEL4 then it will 
work well.
Comment 5 Martin Bacovsky 2006-08-10 05:27:37 EDT
Patch is ready, positively tested by reported.
Comment 6 Russell Coker 2006-08-10 21:04:41 EDT
Great!  If you would like me to test the new package then I would be more than 
happy to do so.
Comment 7 RHEL Product and Program Management 2006-09-05 15:36:06 EDT
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.
Comment 8 RHEL Product and Program Management 2006-09-05 15:48:02 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 9 Russell Coker 2006-09-05 20:24:21 EDT
Please consider this for the update after that one, and the one after that.

I expect that some of the RHEL4 servers I have recently installed will be in 
operation for another 4 years without upgrading to RHEL5.  So an update at any 
time during that interval would be helpful.
Comment 10 Russell Coker 2006-09-05 20:26:46 EDT
Bugzilla won't let me re-open this.

Note You need to log in before you can comment on or make changes to this bug.